export class SStringUtil {
    /**
     * 数值转16进制字符串
     *
     * @param   n       要转换的数值
     * @param   len     转换后的长度（默认为2）
     * @return  转换后的数据
     */
    static num2Hex(n: number, len: number = 2): string {
        let hex = "";
        let numStr: string[] = [
            "0",
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "a",
            "b",
            "c",
            "d",
            "e",
            "f"
        ];
        while (len > 0) {
            hex = numStr[n & 0x0f] + hex;
            n = n >> 4;
            len--;
        }
        return hex;
    } // Function num2Hex()
} // Class SStringUtil
