/*
 * ********************************************************************************************************************
 *
 *                      :*$@@%$*:                         ;:                ;;    ;;
 *                    :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                   :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                   =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                   =@*                                  %!              @ $= % %@=   =%@!      %=
 *              *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *            %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *          ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *          $@*   ;@@@%=!:                *@*
 *          =@$    ;;;!=%@@@@=!           =@!
 *           %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *            ;%@@$=$@@%*       *@@@$=%@@%;
 *               ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

/**
 * 接口
 *
 * @author  郝建龙
 */
export class ItemOrder {
    /** 空间层级 */
    static spaceOrder = 200;
    /** 业务空间层级 */
    static zoneOrder = 800;
    /** 类空间层级 */
    static likeSpaceOrder = 1000;
    /** 柱子层级 */
    static columnOrder = 1200;
    /** 墙层级 */
    static wallOrder = 1600;
    /** 虚拟墙层级 */
    static virtualWallOrder = 2000;
    /** 门层级 */
    static doorOrder = 2400;
    /** 窗户层级 */
    static windowOrder = 2800;
    /** 多边形层级 */
    static polygonOrder = 4000;
    /** 直线层级 */
    static lineOrder = 5000;
    /** 折线层级 */
    static polylineOrder = 6000;
    /** 图片层级 */
    static imageOrder = 7000;
    /** 文本层级 */
    static textOrder = 8000;
    /** 位置标签对象层级 */
    static markOrder = 9900;
    /** 遮罩层级    */
    static shadeOrder = 12000;
    /** 框选矩形对象层级 */
    static rectSelectOrder = 9999900;
    /** 高亮对象层级 */
    static highLightOrder = 999900;
    /** 业务空间关系点位层级 */
    static RelationOrder = 999900;
    /** 蒙版层级 */
    static sceneMarkOrder = 9999900;
} // Interface ItemOrder
