import { SRelation } from "./SRelation";
import { SGraphItem } from "@saga-web/graph/lib";
import { Relation } from "../../types/topology/Relation";

/**
 * 垂直线关系线item
 *
 * * @author  郝建龙(1061851420@qq.com)
 */
export class SVerticalRelation extends SRelation {
    /** 对象关系数据 */
    data: Relation;

    /**
     * 构造函数
     *
     * @param parent    指向父对象
     * @param data      对象关系数据
     */
    constructor(parent: SGraphItem | null, data: Relation) {
        super(parent);
        this.data = data;
    }

    /**
     * 垂直线转曲线
     *
     * */
    vertical2Curve(): void {} // Function vertical2Curve()

    /**
     * 垂直线转直线
     *
     * */
    vertical2Line(): void {} // Function vertical2Line()

    /**
     * 垂直线转折线
     *
     * */
    vertical2Polyline(): void {} // Function vertical2Polyline()
} // Class SVerticalRelation
