/**
 * 图片item数据接口
 *
 * @author  郝建龙
 */
export interface ImageData {
    /** 图片的id   */
    Id?: string;
    /** 图片的名称   */
    Name?: string;
    /** X坐标 */
    X: number;
    /** Y坐标 */
    Y: number;
    /** 图片url   */
    Url: string;
    /** 绘制图片的宽  */
    Width: number;
    /** 绘制图片的高  */
    Height: number;
} // Interface ImageData
