import { STextAlign, STextBaseLine, STextDirection } from "@saga-web/draw/lib";

/**
 * 文本item数据接口
 *
 * @author  郝建龙
 */
export interface TextData {
    /** 文本的id   */
    Id?: string;
    /** 文本内容   */
    Text: string;
    /** X坐标 */
    X: number;
    /** Y坐标 */
    Y: number;
    /** 文本最大宽  */
    Width?: number;
    /** 文本对齐方向  */
    TextAlign?: STextAlign;
    /** 文本基线对齐  */
    BaseLine?: STextBaseLine;
    /** 文本方向    */
    TextDirection?: STextDirection;
    /** 文本大小    */
    Size?: number;
} // Interface TextData
