/*
 * ********************************************************************************************************************
 *
 *                      :*$@@%$*:                         ;:                ;;    ;;
 *                    :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                   :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                   =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                   =@*                                  %!              @ $= % %@=   =%@!      %=
 *              *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *            %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *          ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *          $@*   ;@@@%=!:                *@*
 *          =@$    ;;;!=%@@@@=!           =@!
 *           %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *            ;%@@$=$@@%*       *@@@$=%@@%;
 *               ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

import { ElementData } from "./ElementData";

/**
 * 系统图json数据接口
 *
 * @author  张宇
 */
export interface TopologyData {
    /** ID */
    ID: string;
    /** 系统图展示所需数据 */
    Elements: ElementData;
    /** 名称  */
    Name?: string;
    /** 图分类ID  */
    CategoryID?: string;
    /** 项目ID  */
    ProjectID?: string;
    /** 建筑ID  */
    BuildingID?: string;
    /** 楼层ID  */
    FloorID?: string;
    /** 图说明  */
    Note?: string;
} // Interface TopologyData
