import { SItemFactory } from "..";

/**
 *  解析器基类
 *
 */
export abstract class SParser {
    /** 解析器工厂   */
    protected factory: SItemFactory = new SItemFactory();

    /**
     * 构造函数
     *
     * @param   factory 解析工厂
     * */
    constructor(factory: SItemFactory | null = null) {
        if (factory) {
            this.factory = factory;
        }
    } // Constructor
} // class SParser
