/**
 * 线段与线段间接合处的样式
 *
 * @author  庞利祥(sybotan@126.com)
 */
export enum SLineJoinStyle {
    /** 默认。通过延伸相连部分的外边缘，使其相交于一点，形成一个额外的菱形区域。 */
    Miter,
    /** 通过填充一个额外的，圆心在相连部分末端的扇形，绘制拐角的形状。 圆角的半径是线段的宽度。 */
    Round,
    /** 在相连部分的末端填充一个额外的以三角形为底的区域， 每个部分都有各自独立的矩形拐角。 */
    Bevel
} // Enum SLineJoinStyle
