/**
 * 文本基线对齐选项
 *
 * @author  庞利祥(sybotan@126.com)
 */
export enum STextBaseLine {
    /** 默认。文本基线是普通的字母基线 */
    Alphabetic,
    /** 文本基线是 em 方框的顶端  */
    Top,
    /** 文本基线是悬挂基线  */
    Hanging,
    /** 文本基线是 em 方框的正中  */
    Middle,
    /** 文本基线是表意基线  */
    Ideographic,
    /** 文本基线是 em 方框的底端  */
    Bottom
} // Enum STextBaseLine
