/**
 * 布局对齐方式
 *
 * @author  郝建龙
 */
export enum SGraphLayoutType {
    /** 垂直分布    */
    Vertical,
    /** 垂直分布    */
    Horizontal,
    /** 左对齐 */
    Left,
    /** 右对齐 */
    Right,
    /** 顶对齐 */
    Top,
    /** 底对齐 */
    Bottom,
    /** 水平居中    */
    Center,
    /** 垂直居中    */
    Middle
} // Enum SGraphLayoutType
